Bug Hunting Session
Bug 46953 - EDITING: Impossible to drag and drop element to invisible layer
Summary: EDITING: Impossible to drag and drop element to invisible layer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Layers
  Show dependency treegraph
 
Reported: 2012-03-04 04:06 UTC by vohe
Modified: 2019-09-03 16:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vohe 2012-03-04 04:06:29 UTC
Often i build drawings with Libreoffice.
I extensivly use the layers to struct them.

Since Version 3.4.xx i isn't possible to move drawed objects between a visible and a invisible layer.

The way i find this out is:

1. Open a new drawing
2. draw some figures (e.g. 100 rectangles) :-)
   now you have 100 rectangles on layer "Layout".
3. switch to another layer (no need to build it) we just use "Controls".
4. draw another rectangle in this layer
5. right-click on the layername and choose "Modify layer"
6. in the upcoming dialog deselect the option visible (so layer  Controls is invisible)
7. switch back to layer Layout
8. mark one (or may be more) rectangles and press and hold the left mousekey to move them. Now press and hold the ctrl-key too. 
9. try to move the figures to the layer Controls. 
   (you'll see that is impossible)
but it is possible to move them to the Layer "Dimensions Lines".

Since many versions of Openoffice/Libreoffice it's possible to move figures to invisible layers. Who ever changed this feature, never used it!
Comment 1 Rainer Bielefeld Retired 2012-03-04 22:16:46 UTC
Reproducible

You can modify layer of an element (like a rectangle) as following
a) click element with selected "Layout" layer where object is drawn
   > control points become visible
b) press <control> key and hold
c) click element again (still <control>) and leave left mouse button pushed
d) move mouse pointer a little
   > mouse pointer view changes, a little "+" in a rectangle becomes visible 
     below the normal mouse pointer
e) move on mouse pointer to an other layer tab ('Controls')
   > layer tab now shows selected
   > layer of element has changed, you can see that by making invisible new 
     layer tab

To test that I created new DRAWings with additional layer4 (visible) and layer5 (invisible) and did steps a...e for a rectangle each for moving from layer "Layout" to "layer4" and "layer5".

My results (all WIN7 64bit) with a new drawing created from (LibO / OOo) Start Center:
OOo 3.1.1: Can move to visible layer4, but not to invisible layer5.
           Mouse pointer view changes to "forbidden" when it is above Tab
           for an invisible layer, changes back when you move it back 
           above a Tab for a visible layer
LibO 3.3.0: Like OOo 3.1.1
LibO 3.4.5: Like OOo 3.1.1
LibO 3.5.1 RC1: Like OOo 3.1.1

So may be I can confirm reporter's observation that it's impossible to change layer that way to an invisible layer, but not the regression, because it never has been possible.

I can't understand reasons for that limitation. With <control+x> / <control+x> you can transfer an element to an invisible layer without problems

@vohe:
With what version (EXACT) did you do the drag and drop successfully?

"Controls" is not "a" layer, but  very special one. Can you confirm your observations with a new layer?

May be, instead of drawing 99 useless rectangles you can try to find out your Operating System? ;-)
Comment 2 Rainer Bielefeld Retired 2012-03-15 03:11:23 UTC
NEW due to Comment 1
Comment 3 QA Administrators 2014-10-24 03:18:25 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-12-20 16:16:01 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2016-05-04 09:16:12 UTC
Not sure about the use case of being able to draw within hidden layers. But it adds an aspect to layer management. Clarification is needed.
Comment 6 QA Administrators 2017-09-01 11:18:33 UTC Comment hidden (obsolete)
Comment 7 Regina Henschel 2017-09-01 15:02:45 UTC
The problem still exists in Version: 6.0.0.0.alpha0+
Build ID: 4c99b8a9de59f3c5280ff2944d9f828822897f4a
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: de-DE (de_DE); Calc: group
Comment 8 QA Administrators 2018-09-02 02:49:59 UTC Comment hidden (obsolete)
Comment 9 Regina Henschel 2018-09-02 16:58:02 UTC
The problem still exists in Version: 6.2.0.0.alpha0+ (x64)
Build-ID: a201c5c8c3e7ea14001b5634f330dbce2b1f4314
CPU-Threads: 8; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: en-US (en_US); Calc: CL
Comment 10 Regina Henschel 2018-09-02 21:19:50 UTC
The reason is in View::AcceptDrop in https://opengrok.libreoffice.org/xref/core/sd/source/ui/view/sdview2.cxx#446

Part
 && pPV->IsLayerVisible( aLayerName ) 
has to be deleted.

But I have not tested, whether this has any side effects.
Comment 11 Regina Henschel 2018-09-02 21:21:27 UTC
Perhaps an "easyHack"?
Comment 12 QA Administrators 2019-09-03 16:11:43 UTC
Dear vohe,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug